import React from "react"
import {CheckboxField, Conditional, FormProps, IfFalse, ModelInput} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";

export const Iqh1FpV1Parameters: React.FunctionComponent<FormProps> = observer(({model}) => {
    return <React.Fragment>
        <CheckboxField name={'parameters.tagid'}
                       label={'Tag Id?'}
                       onChange={model.handleCheckboxChange}
                       checked={model.viewModel.parameters['tagid']}

        />
        <Conditional condition={!!model.viewModel.parameters['tagid']}>
            <IfFalse>
                <CheckboxField
                    name={'parameters.whole_memory'}
                    label={'Whole Memory?'}
                    onChange={model.handleCheckboxChange}
                    checked={!!model.viewModel.parameters['whole_memory']}
                />
                <Conditional condition={!!model.viewModel.parameters['whole_memory']}>
                    <IfFalse>
                        <ModelInput name={"parameters.start_position"} label={'Start Position'} type={'number'}/>
                        <ModelInput name={"parameters.end_position"} label={'End Position'} type={'number'}/>
                    </IfFalse>
                </Conditional>
            </IfFalse>
        </Conditional>
    </React.Fragment>
})