import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/scanner_rules",
    permissionTarget: "Scanner",
    routingInfo: {
        edit: '/scanner_rule/:id/edit'
    }
})

export class ScannerRuleModel extends Model {
    constructor() {
        super();
        super.setup();
    }

    @attribute({
        label: t`operation`,
        validation: yup.string()
    })
    id: number = 0;

    @attribute({
        label: t`Operation`,
        validation: yup.string()
    })
    operation: string = "delete";

    @attribute({
        label: t`Priority`,
        validation: yup.number()
    })
    priority: number = 0;

     @attribute({
         label: t`Start Position`,
         validation: yup.number()
     })
     start_position: number = 0;

     @attribute({
         label: t`End Position`,
         validation: yup.number()
     })
     end_position: number = 0;

     @attribute({
        label: t`Value`,
        validation: yup.string()
     })
     value: string = '';

     @attribute({
        label: t`Scanner Id`,
        validation: yup.number()
     })
     scanner_id: number = 0;
}

export const ScannerRuleStore = ScannerRuleModel.store as DataStore<ScannerRuleModel>;
